Freeciv-3.3: packet_ruleset_terrain Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
packet_ruleset_terrain Struct Reference

`#include <packets_gen.h>`

## Data Fields

Terrain_type_id | id
int | tclass
bv_terrain_flags | flags
bv_unit_classes | native_to
char | name [MAX_LEN_NAME]
char | rule_name [MAX_LEN_NAME]
char | graphic_str [MAX_LEN_NAME]
char | graphic_alt [MAX_LEN_NAME]
char | graphic_alt2 [MAX_LEN_NAME]
int | movement_cost
int | defense_bonus
int | output [O_LAST]
int | num_resources
Resource_type_id | resources [MAX_EXTRA_TYPES]
int | resource_freq [MAX_EXTRA_TYPES]
int | road_output_incr_pct [O_LAST]
int | base_time
int | road_time
Terrain_type_id | cultivate_result
int | cultivate_time
Terrain_type_id | plant_result
int | plant_time
int | irrigation_food_incr
int | irrigation_time
int | mining_shield_incr
int | mining_time
int | animal
Terrain_type_id | transform_result
int | transform_time
int | placing_time
int | pillage_time
int | extra_count
int | extra_removal_times [MAX_EXTRA_TYPES]
int | color_red
int | color_green
int | color_blue
struct strvec * | helptext

## Detailed Description

Definition at line 1203 of file packets_gen.h.

## Field Documentation

## ◆ animal

int packet_ruleset_terrain::animal

Definition at line 1230 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ base_time

int packet_ruleset_terrain::base_time

Definition at line 1220 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ color_blue

int packet_ruleset_terrain::color_blue

Definition at line 1239 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ color_green

int packet_ruleset_terrain::color_green

Definition at line 1238 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ color_red

int packet_ruleset_terrain::color_red

Definition at line 1237 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ cultivate_result

Terrain_type_id packet_ruleset_terrain::cultivate_result

Definition at line 1222 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ cultivate_time

int packet_ruleset_terrain::cultivate_time

Definition at line 1223 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ defense_bonus

int packet_ruleset_terrain::defense_bonus

Definition at line 1214 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ extra_count

int packet_ruleset_terrain::extra_count

Definition at line 1235 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ extra_removal_times

int packet_ruleset_terrain::extra_removal_times[MAX_EXTRA_TYPES]

Definition at line 1236 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ flags

bv_terrain_flags packet_ruleset_terrain::flags

Definition at line 1206 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ graphic_alt

char packet_ruleset_terrain::graphic_alt[MAX_LEN_NAME]

Definition at line 1211 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ graphic_alt2

char packet_ruleset_terrain::graphic_alt2[MAX_LEN_NAME]

Definition at line 1212 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ graphic_str

char packet_ruleset_terrain::graphic_str[MAX_LEN_NAME]

Definition at line 1210 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ helptext

struct strvec* packet_ruleset_terrain::helptext

Definition at line 1240 of file packets_gen.h.

Referenced by free_packet_ruleset_terrain(), handle_ruleset_terrain(), init_packet_ruleset_terrain(), and send_ruleset_terrain().

## ◆ id

Terrain_type_id packet_ruleset_terrain::id

Definition at line 1204 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ irrigation_food_incr

int packet_ruleset_terrain::irrigation_food_incr

Definition at line 1226 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ irrigation_time

int packet_ruleset_terrain::irrigation_time

Definition at line 1227 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ mining_shield_incr

int packet_ruleset_terrain::mining_shield_incr

Definition at line 1228 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ mining_time

int packet_ruleset_terrain::mining_time

Definition at line 1229 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ movement_cost

int packet_ruleset_terrain::movement_cost

Definition at line 1213 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ name

char packet_ruleset_terrain::name[MAX_LEN_NAME]

Definition at line 1208 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ native_to

bv_unit_classes packet_ruleset_terrain::native_to

Definition at line 1207 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ num_resources

int packet_ruleset_terrain::num_resources

Definition at line 1216 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ output

int packet_ruleset_terrain::output[O_LAST]

Definition at line 1215 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ pillage_time

int packet_ruleset_terrain::pillage_time

Definition at line 1234 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ placing_time

int packet_ruleset_terrain::placing_time

Definition at line 1233 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ plant_result

Terrain_type_id packet_ruleset_terrain::plant_result

Definition at line 1224 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ plant_time

int packet_ruleset_terrain::plant_time

Definition at line 1225 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ resource_freq

int packet_ruleset_terrain::resource_freq[MAX_EXTRA_TYPES]

Definition at line 1218 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ resources

Resource_type_id packet_ruleset_terrain::resources[MAX_EXTRA_TYPES]

Definition at line 1217 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ road_output_incr_pct

int packet_ruleset_terrain::road_output_incr_pct[O_LAST]

Definition at line 1219 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ road_time

int packet_ruleset_terrain::road_time

Definition at line 1221 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ rule_name

char packet_ruleset_terrain::rule_name[MAX_LEN_NAME]

Definition at line 1209 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ tclass

int packet_ruleset_terrain::tclass

Definition at line 1205 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ transform_result

Terrain_type_id packet_ruleset_terrain::transform_result

Definition at line 1231 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().

## ◆ transform_time

int packet_ruleset_terrain::transform_time

Definition at line 1232 of file packets_gen.h.

Referenced by handle_ruleset_terrain(), and send_ruleset_terrain().